Update User Role
Name of the role cannot be changed.
The UserRole object
Show optional properties
{
"name": "string"
}
"{\n \"name\" : \"API Administrator\",\n \"description\" : \"Role to allow administrative access to all Suite API methods\",\n \"privilege-keys\" : [ \"ManageAlerts\", \"ManageAlarms\", \"ManageNotificationPlugins\" ],\n \"system-created\" : false\n}"
The description for the role.
A role name suitable for display.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
The name of the role.
The collection of privilege keys
True if this role was created by the system
The updated UserRole
"{\n \"name\" : \"API Administrator\",\n \"description\" : \"Role to allow administrative access to all Suite API methods\",\n \"privilege-keys\" : [ \"ManageAlerts\", \"ManageAlarms\", \"ManageNotificationPlugins\" ],\n \"system-created\" : false\n}"
The description for the role.
A role name suitable for display.
Represents a HTTP 'link' element.
It is implicit that all the link tags support http 'GET' method.
The name of the role.
The collection of privilege keys
True if this role was created by the system
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/suite-api/api/auth/roles